#
# spec file for package consoleet-utils
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           consoleet-utils
Version:        1.4
Release:        lp155.3.1
Summary:        Utilities for manipulating terminal fonts and colors
License:        GPL-3.0-or-later AND MIT
Group:          Productivity/Other
URL:            https://inai.de/projects/consoleet/
#Git-Clone:     https://codeberg.org/consoleet/consoleet-utils
Source:         https://inai.de/files/consoleet/%name-%version.tar.zst
Source2:        https://inai.de/files/consoleet/%name-%version.tar.asc
Source3:        %name.keyring
BuildRequires:  c++_compiler
BuildRequires:  pkg-config >= 0.21
BuildRequires:  zstd
BuildRequires:  pkgconfig(libHX) >= 3.22
Conflicts:      hxtools < 20200310
Obsoletes:      vfontas < 20221121
Provides:       vfontas = 20221121

%description
This is a set of utilities for manipulating terminal fonts and
colors.

A key component is vfontas, which can read/write bitmap fonts from/to
a number of formats and transform the glyphs in various ways. vfontas
is able to generate outline fonts from bitmapped fonts, including a
high-quality mode that upscales based on outline rather than pixel
blocks, setting it apart from scalers like xBRZ or potrace.

%prep
%if 0%{?suse_version} < 1550
%setup -Tcq
pushd .. && tar --use=zstd -xf %{S:0} && popd
%else
%autosetup -p1
%endif

%build
%configure
%make_build

%install
%make_install

%files
%license LICENSE*
%_bindir/*
%_mandir/man1/*.1*
%_datadir/consol*

%changelog
* Sat Oct 21 2023 Jan Engelhardt <jengelh@inai.de>
- Unbreak Leap 15.x build
* Sun Sep 24 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.4
  * vfontas: add an -overstrike option
  * palcomp: have the "ct" command exercise AIX color codes too
  * palcomp: compute "cxl" and "cxr" tables for bright background
    colors as well
* Mon Aug 14 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.3
  * palcomp: delete ``rgb`` and ``lch`` subcommands (make them implicit)
  * palcomp: add ``ct`` and ``ct256`` subcommands to display the color table
  * palcomp: add ``cxl`` and ``cxr`` subcommands for contrast analysis
  * palcomp: add ``loeq`` subcommand for contrast adjustment
* Sun Jul 23 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.2
  * palcomp: support for tint via new "hsltint", "lchtint" or
    "hueset" subcommands (this allows for generating Amber/Green
    CRT looks and then some)
  * palcomp: brightness manipulatino support with "litadd",
    "litmul", "litset"
  * palcomp: auxiliary helper commands: "b0", "fg", "bg", "stat"
  * palcomp: new starting palette "win"
- Drop libhx.patch
* Thu Dec  1 2022 Jan Engelhardt <jengelh@inai.de>
- Add libhx.patch
* Mon Nov 21 2022 Jan Engelhardt <jengelh@inai.de>
- Initial package (version 1.1) for build.opensuse.org
- It's a split from hxtools (20221119/20221120)
